package de.thd.pms.controller;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;


@Controller
public class HomeController {
	private static Logger log = LogManager.getLogger(HomeController.class);

    @RequestMapping("/welcome")
    public ModelAndView welcome() {
//    	log.debug("Test");
    	log.info("Controller für die Methode welcome");
//    	log.warn("Warnung");
//    	log.error(message);
//    	log.fatal(message);
		ModelAndView mv = new ModelAndView();
		mv.addObject("title", "Herzlich Willkommen!");
		mv.addObject("message", "Sie können hier Boote bzw. Personen anlegen und Fahrten absolvieren.");
		mv.setViewName("home");
		return mv;
    }

}
    	